Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.instrumentation.jmx
Interface JMXInstrument

All Superinterfaces:
  Instrument

All Known Implementing Classes:
  DataCacheJMXInstrument, PreparedQueryCacheJMXInstrument, QueryCacheJMXInstrument

    public interface JMXInstrument

extends Instrument

Interface for JMX-specific instruments

Method Summary
`String` | `getConfigId()` Sets the config id for the instrument.
`String` | `getContextRef()` Gets the context reference for the instrument.
`ObjectName` | `getObjectName()` Returns the JMX object name for the instrument
`void` | `setConfigId(String cid)` Gets the config id for the instrument.
`void` | `setContextRef(String cref)` Sets the context reference for the instrument.

Methods inherited from interface org.apache.openjpa.lib.instrumentation.Instrument
`getContext, getLevel, getName, getOptions, getProvider, initialize, isStarted, restart, setContext, setOptions, setProvider, setStarted, start, stop`

Method Detail

### getObjectName

    ObjectName getObjectName()

  Returns the JMX object name for the instrument

  Returns:

### setContextRef

    void setContextRef(String cref)

  Sets the context reference for the instrument. Required to register the instrument under a unique id.

  Parameters:
    `cref` - the context reference for the instrument

### getContextRef

    String getContextRef()

  Gets the context reference for the instrument. Required to register the instrument under a unique id.

  Parameters:
    `cref` - the context reference for the instrument

### getConfigId

    String getConfigId()

  Sets the config id for the instrument. Required to register the instrument under a unique id.

  Returns:
    the config id of the instrument

### setConfigId

    void setConfigId(String cid)

  Gets the config id for the instrument. Required to register the instrument under a unique id.

  Parameters:
    `cid` - the config id of the instrument

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.